Get Pool
curl --request GET \
--url https://api.hadron.fi/pools/{address}import requests
url = "https://api.hadron.fi/pools/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hadron.fi/pools/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "7ZRLTJBvJSy9VDyZmDoGW4b7noorCYnLUisyAXh7hxMz",
"name": "SOL/USDC",
"token_x": {
"address": "So11111111111111111111111111111111111111112",
"symbol": "SOL",
"name": "SOL",
"decimals": 9,
"icon": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png"
},
"token_y": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"symbol": "USDC",
"name": "USDC",
"decimals": 6,
"icon": ""
},
"token_x_amount": 5413038034,
"token_y_amount": 515256215,
"pool_config": {
"authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
"quoting_authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
"oracle_mode": 0,
"pool_state": "Initialized",
"base_spread_bps": 5.0
},
"tvl": 990.81,
"current_price": 87.85,
"volume": { "24h": 364.16 },
"fees": { "24h": 0.59 }
}
Pools
Get Pool
Returns detailed information for a single Hadron pool.
GET
/
pools
/
{address}
Get Pool
Path Parameters
The pool config PDA address.
Query Parameters
Solana cluster —
mainnet-beta or devnet.Response
Returns the same pool object shape as the List Pools endpoint.{
"address": "7ZRLTJBvJSy9VDyZmDoGW4b7noorCYnLUisyAXh7hxMz",
"name": "SOL/USDC",
"token_x": {
"address": "So11111111111111111111111111111111111111112",
"symbol": "SOL",
"name": "SOL",
"decimals": 9,
"icon": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png"
},
"token_y": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"symbol": "USDC",
"name": "USDC",
"decimals": 6,
"icon": ""
},
"token_x_amount": 5413038034,
"token_y_amount": 515256215,
"pool_config": {
"authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
"quoting_authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
"oracle_mode": 0,
"pool_state": "Initialized",
"base_spread_bps": 5.0
},
"tvl": 990.81,
"current_price": 87.85,
"volume": { "24h": 364.16 },
"fees": { "24h": 0.59 }
}
Errors
| Status | Message |
|---|---|
404 | Pool not found |
⌘I
.png?fit=max&auto=format&n=pH37fL0GL14scVCH&q=85&s=5749b485c8c5b2386a4cca404e97d6be)